Package org.jfree.layouting.renderer.model.inlines

## Class BaseLineAlignment

- java.lang.Object
- - org.jfree.layouting.renderer.model.inlines.BaseLineAlignment

- All Implemented Interfaces:
    `InlineVerticalAlignment`

      public class BaseLineAlignment
      extends java.lang.Object
      implements InlineVerticalAlignment

  Creation-Date: 24.07.2006, 15:06:57
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseLineAlignment​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getPreferredSize​(RenderBox box)` |
    `void` | `validate​(RenderBox box)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseLineAlignment

          public BaseLineAlignment​()

  - ### Method Detail

    - #### getPreferredSize

          public long getPreferredSize​(RenderBox box)

      Specified by:
        `getPreferredSize` in interface `InlineVerticalAlignment`

    - #### validate

          public void validate​(RenderBox box)

      Specified by:
        `validate` in interface `InlineVerticalAlignment`